package com.goafanti.common.dao;

import com.goafanti.common.model.PublicReleaseCount;
import com.goafanti.user.bo.outFollowStatisticsList;
import com.goafanti.user.bo.outProvinceFollowStatistic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PublicReleaseCountMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PublicReleaseCount record);

    int insertSelective(PublicReleaseCount record);

    PublicReleaseCount selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PublicReleaseCount record);

    int updateByPrimaryKey(PublicReleaseCount record);

    void insertBatch(List<PublicReleaseCount> list);

    List<outFollowStatisticsList> followStatisticsList(@Param("depId")String depId, @Param("date")String date,
                                                       @Param("province")Integer province ,@Param("sort")Integer sort);

    List<outProvinceFollowStatistic> provinceFollowStatisticsList(@Param("depId")String depId, @Param("date")String date,
                                                                  @Param("province")Integer province ,@Param("type")Integer type,@Param("sort")Integer sort);
}